Problem


After migrating from Blueworx Voice Response Version 3.1 to Version 4.2, if you are logged in as root and run the script
/usr/lpp/dirTalk/tools/vae.setenv, you will see the following DB2 errors generated:
SQL1090C The release number of the pre-compiled application program or utility is not valid.


Cause


Files from /home/dtdb23in/sqllib are still linked to the library files from DB2 Version 7 .


Resolving the problem


You do not need to run vae.setenv before running DTdatabase -m.

DTdatabase -m alone will migrate the application database and also correctly link the library files from DB2 Version 8 used by Blueworx Voice Response Version 4.2